## grails.web.container
Interface EmbeddableServer

    public interface EmbeddableServer

An interface used to define the container implementation used by Grails during development.

Since:
  1.1

  Created: Jan 7, 2009
Author:
  Graeme Rocher

Field Summary
`static String` `DEFAULT_HOST`
`static int` `DEFAULT_PORT`
`static int` `DEFAULT_SECURE_PORT`

Method Summary
`void` `restart()` Typically combines the stop() and start() methods in order to restart the container
`void` `start()` Starts the container on the default port
`void` `start(int port)` Starts the container on the given port
`void` `start(String host, int port)` Starts the container on the given port
`void` `startSecure()` Starts a secure container running over HTTPS
`void` `startSecure(int port)` Starts a secure container running over HTTPS for the given port
`void` `startSecure(String host, int httpPort, int httpsPort)` Starts a secure container running over HTTPS for the given port and host.
`void` `stop()` Stops the container

Field Detail

### DEFAULT_SECURE_PORT

    static final int DEFAULT_SECURE_PORT

See Also:
  Constant Field Values

### DEFAULT_PORT

    static final int DEFAULT_PORT

See Also:
  Constant Field Values

### DEFAULT_HOST

    static final String DEFAULT_HOST

See Also:
  Constant Field Values

Method Detail

### start

    void start()

  Starts the container on the default port

### start

    void start(int port)

  Starts the container on the given port

  Parameters:
    `port` - The port number

### start

    void start(String host,
               int port)

  Starts the container on the given port

  Parameters:
    `host` - The host to start on
    `port` - The port number

### startSecure

    void startSecure()

  Starts a secure container running over HTTPS

### startSecure

    void startSecure(int port)

  Starts a secure container running over HTTPS for the given port

  Parameters:
    `port` - The port

### startSecure

    void startSecure(String host,
                     int httpPort,
                     int httpsPort)

  Starts a secure container running over HTTPS for the given port and host.

  Parameters:
    `host` - The server host
    `httpPort` - The port for HTTP traffic.
    `httpsPort` - The port for HTTPS traffic.

### stop

    void stop()

  Stops the container

### restart

    void restart()

  Typically combines the stop() and start() methods in order to restart the container

Copyright (c) 2005-2009 The Grails project